jQuery.extend( jQuery.fn.dataTableExt.oSort, {

	/**
	 * Formatted numbers, currency and percentage values, in HTML code, with . as decimal separator
	 */
	'num-html-pre': function ( a ) {
		a = String(a).replace( /<.*?>/g, '' ); // Strip HTML
		a = ( '-' === a || '' === a ) ? '0' : a.replace( /[^\d\-\.]/g, '' ); // Strip currencies, etc.
		return parseFloat( a );
	},
	'num-html-asc': function ( a, b ) {
		return a - b;
	},
	'num-html-desc': function ( a, b ) {
		return b - a;
	},

	/**
	 * Formatted numbers, currency and percentage values, in HTML code, with , as decimal separator
	 */

	'num-html-comma-pre': function ( a ) {
		a = String(a).replace( /<.*?>/g, '' ); // Strip HTML
		a = ( '-' === a || '' === a ) ? '0' : a.replace( /[^\d\-,]/g, '' ); // Strip currencies, etc.
		a = a.replace( /,/, '.' ); // Replace , with .
		return parseFloat( a );
	},
	'num-html-comma-asc': function ( a, b ) {
		return a - b;
	},
	'num-html-comma-desc': function ( a, b ) {
		return b - a;
	}

} );
