<?php
/*
Plugin Name: TablePress Extension: DataTables HTML Numbers in Tables
Plugin URI: https://tablepress.org/extensions/datatables-numhtml/
Description: Custom Extension for TablePress to add the DataTables "HTML Numbers in Tables" functionality
Version: 1.2
Author: Tobias Bäthge
Author URI: https://tobias.baethge.com/
*/

/*
 * This Extension is deprecated. Starting with DataTables 1.10, the JS library has this sorting algorithm built-in.
 * The Extension is no longer necessary.
 */

/*
 * Register necessary Plugin Filters.
 */
add_filter( 'tablepress_table_js_options', 'tablepress_enqueue_datatables_numhtml_js', 10, 3 );

/**
 * Load the DataTables Numeric HTML search algorithm JS file.
 *
 * @since 1.0
 *
 * @param array  $js_options    Current JS options.
 * @param string $table_id      Table ID.
 * @param array $render_options Render Options.
 * @return array Modified JS options.
 */
function tablepress_enqueue_datatables_numhtml_js( $js_options, $table_id, $render_options ) {
	$suffix = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';
	$js_url = plugins_url( "jquery.datatables.numhtml{$suffix}.js", __FILE__ );
	wp_enqueue_script( 'tablepress-datatables-numhtml', $js_url, array( 'tablepress-datatables' ), '1.1', true );
	return $js_options;
}
